## org.apache.lucene.document
Class DateTools.Resolution

    java.lang.Object
      org.apache.lucene.document.DateTools.Resolution

Enclosing class:
  DateTools

    public static class DateTools.Resolution

extends java.lang.Object

Specifies the time granularity.

Field Summary
`static DateTools.Resolution` `DAY`
`static DateTools.Resolution` `HOUR`
`static DateTools.Resolution` `MILLISECOND`
`static DateTools.Resolution` `MINUTE`
`static DateTools.Resolution` `MONTH`
`static DateTools.Resolution` `SECOND`
`static DateTools.Resolution` `YEAR`

Method Summary
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### YEAR

    public static final DateTools.Resolution YEAR

### MONTH

    public static final DateTools.Resolution MONTH

### DAY

    public static final DateTools.Resolution DAY

### HOUR

    public static final DateTools.Resolution HOUR

### MINUTE

    public static final DateTools.Resolution MINUTE

### SECOND

    public static final DateTools.Resolution SECOND

### MILLISECOND

    public static final DateTools.Resolution MILLISECOND

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.